<h2>Example usage</h2>
<p>Follow the examples below to send commands to Monitor.</p>

<h3 id='example_curl'>cURL in terminal</h3>
<div class='curl'>
<h4>POST</h4>
<h5>Request</h5>
<pre><code>curl -u '&lt;your username&gt;:&lt;your password&gt;' -H 'content-type: application/json' -d '<?php echo json_encode($parameters); ?>' '<?php echo $example_uri; ?>'</code></pre>
<h5>Response</h5>
<pre><samp>{
	"result": "Successfully submitted <?php echo $command_name; ?>"
}</samp></pre>
</div>
<h3 id='example_python'>Python</h3>
<div class='python'>
	<h4>POST</h4>
	<pre><code>import json
import requests
r = requests.post('<?php echo $example_uri ?>', headers={'content-type': 'application/json'}, auth=('&lt;your username&gt;', '&lt;your password&gt;'), data=json.dumps({
<?php
$params = array();
foreach($parameters as $name => $type) {
	$params[] = sprintf('    "%s": "%s"', $name, $type);
}
echo implode(",\n", $params);
?>}))
print r.text</code></pre>
</div>

<h3 id='example_php'>PHP with cURL</h3>
<div class='php'>
	<h4>POST</h4>
	<pre><code>$data = json_encode(array(
<?php
$params = array();
foreach($parameters as $name => $type) {
	$params[] = sprintf('    "%s" => "%s"', $name, $type);
}
echo implode(",\n", $params);
?>
));
$a_handle = curl_init('<?php echo $example_uri ?>');
curl_setopt($a_handle, CURLOPT_USERPWD, '&lt;your username&gt;:&lt;your password&gt;');
curl_setopt($a_handle, CURLOPT_POST, 1);
curl_setopt($a_handle, CURLOPT_RETURNTRANSFER, TRUE);
curl_setopt($a_handle, CURLOPT_POSTFIELDS, $data);
curl_setopt($a_handle, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
$result = curl_exec($a_handle);
echo $result;</code></pre>
</div>
