#!/usr/bin/env python
"""
Requires
- requests (pip install requests)

Usage
Modify properties to point at your server
./traverse.py
"""
import requests

api_server = "https://your-server"
auth = ('user', 'password')
params = {'report_period': 'today', 'limit': 1000}
# if you want a complete history use 'report_period': 'custom', an old 'start_time',
# remove 'safety_limit' below and be prepared to wait

def traverse():
    r = requests.get(api_server + '/api/report/event', params=params, auth=auth, verify=False)
    result = []
    safety_limit = 5
    while True and safety_limit:
        safety_limit -= 1
        if len(r.json()['data']):
            result.append(r.json()['data'])
        if 'next_resource' not in r.json():
            # we're done, there are no more results within this set of options (report_period, objects, etc)
            break
        # the 'next_resource' key points to a complete url with the next set of events
        r = requests.get(r.json()['next_resource'], auth=auth, verify=False)
    return result

if __name__ == "__main__":
    result = traverse()
    print result # or manipulate, or insert into database, or expose to your intranet, or ...
