<?php

require_once(__DIR__.'/../interface/license_interface.php');

class Op5LicenseWrapper implements LicenseInterface {

	private $license;

	/* 
	 * @param op5license $license in instance of op5license
	 */
	public function __construct($license) {
		$this->license = $license;
	}

	public function get_metadata() {
		return $this->license->get_metadata();
	}

	public function is_valid() {
		// Validate that the instance is valid.  The op5license PHP
		// binding does not validate the file until it tries to use it,
		// so we have to call an additional method here:
		try {
			$this->license->get_metadata();
			return true;
		} catch (Exception $e) {
			return false;
		}
	}

}
